<?php

if(!defined('PLX_ROOT')) exit;

# Control du token du formulaire
plxToken::validateFormToken($_POST);

# nombre de champs existants
$nbchamp = $plxPlugin->nbchamp;

if(!empty($_POST)) {
 $plxPlugin->delParams();#on supprime
 $plxPlugin->setParam('pos_vie', $_POST['pos_vie'], 'string');

 # Mise à jour des champs existants
 $del=0;
 for($i=1; $i<=$nbchamp; $i++) {
  if(!empty($_POST['label'.$i]) AND !empty($_POST['champ'.$i]) AND !empty($_POST['type'.$i])){// si les champs principaux ne sont pas vide
   if(isset($_POST['delete'.$i])){// si on supprime
    $del--;
    continue;
   }
   #mise a jour du label
   $plxPlugin->setParam('label'.($i+$del), plxUtils::strCheck($_POST['label'.$i]), 'string');
   # on teste voir si la balise n'existe pas déjà
   $plxPlugin->setParam('champ'.($i+$del), $plxPlugin->goodId($_POST['champ'.$i],$i), 'string');

   $plxPlugin->setParam('type'.($i+$del), plxUtils::strCheck($_POST['type'.$i]), 'string');
   $plxPlugin->setParam('phold'.($i+$del), plxUtils::strCheck($_POST['phold'.$i]), 'string');#placeholder 1.2.2
   #si le groupe est vide, on le place dans "divers"
   if (empty($_POST['groupe'.$i])) {
    $plxPlugin->setParam('groupe'.($i+$del), $plxPlugin->getLang('L_OTHER'), 'string');
   } else {
    $plxPlugin->setParam('groupe'.($i+$del), plxUtils::strCheck($_POST['groupe'.$i]), 'string');
   }
#   $plxPlugin->saveParams();
  }
 }

 if(!empty($_POST['label-new']) AND !empty($_POST['champ-new']) AND !empty($_POST['type-new'])) {# création d'un nouveau champ
  $newchamp = ($nbchamp+$del) + 1;
  $plxPlugin->setParam('label'.$newchamp, plxUtils::strCheck($_POST['label-new']), 'string');
  # on teste voir si le "raccourci" n'existe pas déjà
  $nbchamp=$nbchamp==0?1:$nbchamp;#1st init fix
  # on teste voir si la balise n'existe pas déjà
  $plxPlugin->setParam('champ'.$newchamp, $plxPlugin->goodId($_POST['champ-new']), 'string');
  $plxPlugin->setParam('type'.$newchamp, plxUtils::strCheck($_POST['type-new']), 'string');
  $plxPlugin->setParam('phold'.$newchamp, plxUtils::strCheck($_POST['phold-new']), 'string');
  if (empty($_POST['groupe-new'])) { // si le champ groupe n'est pas renseigné -> on crée le groupe "divers"
   $plxPlugin->setParam('groupe'.$newchamp, $plxPlugin->getLang('L_OTHER'), 'string');
  } else {
   $plxPlugin->setParam('groupe'.$newchamp, plxUtils::strCheck($_POST['groupe-new']), 'string');
  }
 }#fi création d'un nouveau champ
 $plxPlugin->saveParams();
 header('Location:parametres_plugin.php?p=champArt');
 exit;
}#fi !_POST
?>
<div id="champart">
<?php if (!defined('PLX_VERSION')) {#avant 5.5 ?>
 <h2><?php $plxPlugin->lang('L_TITLE') ?></h2>
<?php } ?>
 <p class="sml-hide"><?php $plxPlugin->lang('L_DESCRIPTION') ?></p>
 <form action="parametres_plugin.php?p=champArt" method="post" class="champart">
  <fieldset>
   <p class="field"><label for="id_pos_vie"><?php $plxPlugin->lang('L_POSITION') ?>&nbsp;:
    <?php plxUtils::printSelect('pos_vie',array('top'=>$plxPlugin->getLang('L_TOP'),'side'=>$plxPlugin->getLang('L_SIDE'),'bot'=>$plxPlugin->getLang('L_BOT'),'foot'=>$plxPlugin->getLang('L_FOOT')),$plxPlugin->getParam('pos_vie')) ?>
   </label></p>
  </fieldset>
  <!-- champs déja créés -->
  <div class="scrollable-table">
   <table class="champart table full-width">
    <thead>
     <tr>
      <th class="checkbox" title="<?php $plxPlugin->lang('L_DELETE_HINT') ?>">
       <input id="chkAllBox" type="checkbox" onclick="chkAll(this, this.form, 'delete')" />
       <a href="javascript:void(0)" onclick="window.document.getElementById('chkAllBox').click()">X</a>
      </th>
      <th><?php $plxPlugin->lang('L_ID') ?>&nbsp;<a class="hint"><span><?php $plxPlugin->lang('L_DELETE_HINT') ?></span></a></th>
      <th><?php $plxPlugin->lang('L_LABEL') ?>&nbsp;<a class="hint"><span><?php $plxPlugin->lang('L_LABEL_HINT') ?></span></a></th>
      <th><?php $plxPlugin->lang('L_CHAMP') ?>&nbsp;<a class="hint"><span><?php $plxPlugin->lang('L_CHAMP_HINT') ?></span></a></th>
      <th><?php $plxPlugin->lang('L_PHOLD') ?>&nbsp;<a class="hint"><span><?php $plxPlugin->lang('L_PHOLD_HINT') ?></span></a></th>
      <th><?php $plxPlugin->lang('L_TYPE') ?></th>
      <th><?php $plxPlugin->lang('L_GROUPE') ?>&nbsp;<a class="hint"><span><?php $plxPlugin->lang('L_GROUPE_HINT') ?></span></a></th>
     </tr>
    </thead>
    <tbody>
     <?php for($i=1; $i<=$nbchamp; $i++) : ?>
     <?php $label = $plxPlugin->getParam('label'.$i);
       if(!empty($label)) : ?>
     <tr class="line-<?php echo $i%2 ?>">
      <td><input type="checkbox" name="delete<?php echo $i; ?>" value="1"></td>
      <td>
       <?php echo $i; ?>
      </td>
      <td>
       <input type="text" name="label<?php echo $i; ?>" value="<?php echo plxUtils::strRevCheck($plxPlugin->getParam('label'.$i)) ?>" />
      </td>
      <td>
       <input type="text" name="champ<?php echo $i; ?>" value="<?php echo plxUtils::strCheck($plxPlugin->getParam('champ'.$i)) ?>" />
      </td>
      <td>
       <input type="text" name="phold<?php echo $i; ?>" value="<?php echo plxUtils::strCheck($plxPlugin->getParam('phold'.$i)) ?>" />
      </td>
      <td>
       <?php plxUtils::printSelect('type'.$i,array('ligne'=>$plxPlugin->getLang('L_LIGNE'),'bloc'=>$plxPlugin->getLang('L_BLOC')),$plxPlugin->getParam('type'.$i), false, '', $id=true); ?>
      </td>
      <td>
       <input type="text" name="groupe<?php echo $i; ?>" value="<?php echo plxUtils::strRevCheck($plxPlugin->getParam('groupe'.$i)) ?>" />
      </td>
     </tr>
     <?php endif; ?>
     <?php endfor; ?>
     <tr class="new">
      <td>&nbsp;</td>
      <td>
       <?php $plxPlugin->lang('L_NEW') ?>
      </td>
      <td>
       <input type="text" name="label-new" value="" />
      </td>
      <td>
       <input type="text" name="champ-new" value="" />
      </td>
      <td>
       <input type="text" name="phold-new" value="" />
      </td>
      <td>
       <?php plxUtils::printSelect('type-new',array('ligne'=>$plxPlugin->getLang('L_LIGNE'),'bloc'=>$plxPlugin->getLang('L_BLOC'))); ?>
      </td>
      <td>
       <input type="text" name="groupe-new" value="" />
      </td>
     </tr>
    </tbody>
   </table>
  </div>
  <?php echo plxToken::getTokenPostMethod() ?>
  <p class="in-action-bar">
   <sup><?php $plxPlugin->lang('L_DESCRIPTION') ?></sup><br />
   <input type="submit" name="submit" value="<?php $plxPlugin->lang('L_SAVE') ?>" />

  </p>
 </form>
</div>
<script>
function chkAll(me,inputs,field) {
 me.checked = !me.checked;
 for(var i = 0; i < inputs.elements.length; i++) {console.log(inputs[i].name.search(/field/))
  if(inputs[i].type == "checkbox" && inputs[i].name.search(/field/)) {
   inputs[i].checked = !inputs[i].checked ;
  }
 }
}
</script>
